Issue1649

classification
Title: Harden against DOS attacks on Jython book, podcast sites
Type: Severity: normal
Components: Documentation Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: juneau001 Nosy List: egarson, juneau001, zyasoft
Priority: high Keywords:

Created on 2010-08-26.17:01:26 by egarson, last changed 2010-09-20.18:53:18 by zyasoft.

Messages
msg6019 (view) Author: Edward Garson (egarson) Date: 2010-08-26.17:01:25
jythonbook.com redirects to http://jythonpodcast.hostjava.net/jythonbook/index.html which results in a 404.
msg6020 (view) Author: Jim Baker (zyasoft) Date: 2010-08-26.19:30:10
Normally this works. But we've been having repeated problem with DOS attacks on these Jython sites. So it needs to be fixed.

We may want to consider moving the podcast and book so that it's under jython.org, which has more hardening. My only concern is that we have had difficulty in the responsiveness of the administration of that site, but it's probably just a matter of having better communication.

Regardless we need a solution soon. Let's set a goal of no later than 2.5.2 final.
msg6023 (view) Author: Juneau001 (juneau001) Date: 2010-08-27.13:59:22
I am going to try and get these sites moved under jython.org if possible.  Managing these sites under the current host is becoming increasingly difficult.
msg6073 (view) Author: Jim Baker (zyasoft) Date: 2010-09-20.18:53:17
The move to jython.org has solved this problem. We can do further updates = there should be a direct link from http://jython.org to the Jython book, ideally under

- Documentation
-- Current Docs
-- Jython Book

rather than mixed in on the wiki page itself. However, the task of hardening these resources is itself done, so closing this bug on Josh's behalf.
History
Date User Action Args
2010-09-20 18:53:18zyasoftsetstatus: open -> closed
resolution: fixed
messages: + msg6073
2010-08-27 14:48:47zyasoftsettitle: Broken link jythonbook.com on http://jython.org/ -> Harden against DOS attacks on Jython book, podcast sites
2010-08-27 13:59:23juneau001setassignee: juneau001
messages: + msg6023
2010-08-26 19:30:11zyasoftsetpriority: high
nosy: + zyasoft, juneau001
messages: + msg6020
2010-08-26 17:01:26egarsoncreate